Bug 356181 - freetype2.pc version error
freetype2.pc version error
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: freetype (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-29 00:31 EDT by Steve Chaplin
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-05 00:03:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Chaplin 2007-10-29 00:31:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.5) Gecko/20070718 Fedora/2.0.0.5-1.fc7 Firefox/2.0.0.5

Description of problem:
The file /usr/lib64/pkgconfig/freetype2.pc
has the line
"Version: 9.15.3"

I believe the version number should be 2.3.4, the same as the rpm package version number.


Version-Release number of selected component (if applicable):
freetype-devel-2.3.4-3.fc7

How reproducible:
Always


Steps to Reproduce:
1. View the file /usr/lib64/pkgconfig/freetype2.pc
2.
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 Matthias Clasen 2007-11-05 00:03:01 EST
9.15.3 is what gets passed to libtool as -version-info
It is certainly surprising to see it show up in the pc file, but I am not sure
that the semantics of the Version field are well-defined enough to declare this
a bug. 
In any case, this needs to be brought up on the upstream mailing list, we can't
deviate from the pc file that is shipped upstream, that is only leading to pain
and confusion.
Comment 2 Steve Chaplin 2007-11-05 19:54:58 EST
The pkg-config manual says:
Version:
              This   should  be  the  most-specific-possible  package  version
              string.
That looks well-defined to me.

What's the reference for the upstream bug report?
Comment 3 Behdad Esfahbod 2007-11-05 22:23:39 EST
Yeah, freetype has three different versions:

  - package version
  - libtool version
  - so version

go figure...

Note You need to log in before you can comment on or make changes to this bug.